Page MenuHomeFreeBSD

New port: sysutils/intel-undervolt: Intel CPU undervolting tool
ClosedPublic

Authored by greg_unrelenting.technology on Jan 3 2019, 6:39 PM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

arrowd added a subscriber: arrowd.Jan 4 2019, 3:33 PM
arrowd added inline comments.
sysutils/intel-undervolt/Makefile
5 ↗(On Diff #52516)

Aren't you reimplementing GH_TAGNAME with this?

0mp added a subscriber: 0mp.Jan 4 2019, 3:55 PM
0mp added inline comments.
sysutils/intel-undervolt/Makefile
5 ↗(On Diff #52516)

I think this is fine, see Example 5.14. Using USE_GITHUB to Access a Commit Between Two Versions in the Porter's Handbook.

23 ↗(On Diff #52516)

I think that we should use @sample here (see 8.6.9. @sample file [file] in the Porter's Handbook).

sysutils/intel-undervolt/Makefile
5 ↗(On Diff #52516)

Yeah, I always thought of DISTVERSIONSUFFIX=-gWHATEVER as a "higher level" wrapper around GH_TAGNAME

23 ↗(On Diff #52516)

Do the @ things work with PLIST_FILES (w/o dedicated pkg-plist file)?

0mp added inline comments.Jan 9 2019, 10:22 AM
sysutils/intel-undervolt/Makefile
23 ↗(On Diff #52516)

AFAIR, yes.

tobik added a subscriber: tobik.Jan 9 2019, 10:33 AM
tobik added inline comments.
sysutils/intel-undervolt/Makefile
20 ↗(On Diff #52516)

Why +=?

23 ↗(On Diff #52516)

Yes, of course. PLIST_FILES is basically just appended to TMPPLIST. Just make sure to quote the entry like "@sample etc/intel-undervolt.conf.sample", so that make(1) treats it as a single word and it's added as one line to it.

Updated with suggestions

greg_unrelenting.technology marked 6 inline comments as done.Jan 9 2019, 7:34 PM
linimon retitled this revision from New port: sysutils/intel-undervolt to New port: sysutils/intel-undervolt: Intel CPU undervolting tool.Jan 15 2019, 4:23 PM
tobik accepted this revision.Jan 20 2019, 1:38 PM

This looks ok.

This revision is now accepted and ready to land.Jan 20 2019, 1:38 PM
This revision was automatically updated to reflect the committed changes.
tobik added a comment.Jan 26 2019, 8:29 AM

@greg_unrelenting.technology Committed. Thanks!

As a general rule, it's better if you also submit a bug on https://bugs.freebsd.org for new ports and updates, so that things can be tracked better. Bugzilla is also where more committers look for things to commit.